#
# spec file for package python-enum-compat
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-enum-compat
Version:        0.0.2
Release:        lp152.3.2
Summary:        Enum/Enum34 compatibility package
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jstasiak/enum-compat
Source:         https://files.pythonhosted.org/packages/source/e/enum-compat/enum-compat-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-enum34
BuildRequires:  python-rpm-macros
%ifpython2
Requires:       python-enum34
%endif
BuildArch:      noarch

%python_subpackages

%description
This is a virtual package, its whole purpose is to install enum34 on
Python older than 3.4. On Python 3.4+ it's a no-op.

%prep
%setup -q -n enum-compat-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Sep  1 2017 toddrme2178@gmail.com
- Implement single-spec package
* Thu Jan 12 2017 dmueller@suse.com
- Initial package (0.0.2)
